﻿using domain.Request;
using domain.Service;
using domain.UseCase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace console_ui
{
    class GroupUI
    {
        private readonly IGroupUseCase _groupService;
        public GroupUI(IGroupUseCase groupService)
        {
            _groupService = groupService;
        }

        public void AddGroup()
        {
            Console.WriteLine("Enter group name: ");
            _groupService.AddGroup(new domain.Request.AddGroupRequest { Name = Console.ReadLine() });
        }
    }
}
